Bug 15196 - Order patrons on patron lists by name
Summary: Order patrons on patron lists by name
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-16 20:18 UTC by Katrin Fischer
Modified: 2016-12-05 21:27 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15196: Default sorting of patron lists (1.66 KB, patch)
2016-03-20 23:49 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15196: Default sorting of patron lists (1.78 KB, patch)
2016-03-21 14:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-11-16 20:18:03 UTC
The patron lists patron list seems to be unordered. It would be nice if it was ordered by name.
Comment 1 Aleisha Amohia 2016-03-20 23:49:42 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-03-21 14:56:13 UTC
Created attachment 49390 [details] [review]
Bug 15196: Default sorting of patron lists

This patch sorts users by surname.
Also string fix -> Firstname to First name in column heading

To test:
1) Go to a patron list
2) Confirm it is sorted by surname
3) Add a patron that will need to slot in the middle somewhere
4) Confirm the data table sorts it correctly
5) Confirm column heading change

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Brendan Gallagher 2016-03-23 23:01:12 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!